Subject: RE: Persistent Filehandle: contradiction in spec and possible imp lementation

From: Som <[email-masked]>
Date: Sat, 30 Jun 2001 00:08:16 -0700 (PDT)

--- "Noveck, Dave" <[email-masked]> wrote:
> Som wrote:
> 
> I think I understand the doubt.  It seems risky to
> depend on
> these generation number recycling arguments
> (although I've
> never seen it be a problem).
> 
> What I don't understand is what you propose to do
> about it.

Sorry for the late reply. I was just trying to
understand if such a problem exists or not and if it
exists what's the fix.

As you correctly pointed out that a larger generation
number can make it more reliable than the current one.

At this point I was trying to find out if there is a
better method of doing this..I mean, able to detect
the problem and ability to inform client about this. I
haven't wokred out a complete solution on this ( but
my primary thoughts were to use few bits in the
filehandle specificially for this purpose..these bits
won't be visible to client..client has to use a mask
to operate on such filehandles )...
However, I agree this information is not enough..more
detailing is needed...

At this point I am unsure about the value addition of
"ability to detect the problem and ability to inform
client about this"...

Thanks to Dave and Spencer for their feedback on this.
more later, som.

__________________________________________________
Do You Yahoo!?
Get personalized email addresses from Yahoo! Mail
http://personal.mail.yahoo.com/